#include "animation.h"
#include <utils_list.h>

static struct list_descriptor animations;

void animation_init() {
  list_reset(&animations);
  // init callbacks
}

void animation_append(struct animation *anim) {
  if (animations.head == NULL) 
    list_insert_as_head(&animations, anim);
  else
    list_insert_at_end(&animations, anim);
}

void animation_remove(struct animation *anim) {
  list_delete_element(&animations, anim);
}
